<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(6, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(4, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


// Vérification du nombre de joueurs dans l'équipe
$requete_verif_joueurs = mysqli_query($connexion_mysql, 'SELECT ej_joueur FROM equipes_joueurs WHERE ej_equipe="'.$equipe_id.'"');
$nb_verif_joueurs = mysqli_num_rows($requete_verif_joueurs);

if($nb_verif_joueurs==0){

	// Suppression du planning de l'équipe
	$requete_suppression_1 = mysqli_query($connexion_mysql, 'DELETE FROM planning WHERE equipe_id="'.$equipe_id.'"');

	// Suppression des scores de l'équipe
	$requete_suppression_2 = mysqli_query($connexion_mysql, 'DELETE FROM scores WHERE equipe_id="'.$equipe_id.'"');

	// Suppression de l'équipe
	$requete_suppression_3 = mysqli_query($connexion_mysql, 'DELETE FROM equipes WHERE equipe_id="'.$equipe_id.'"');

}elseif($nb_verif_joueurs==1){

	$resultat_verif_joueurs = mysqli_fetch_array($requete_verif_joueurs);
	$joueur_id = $resultat_verif_joueurs[0];

	// Suppresion de la liaison entre le joueur et son équipe
	$requete_suppression_2 = mysqli_query($connexion_mysql, 'DELETE FROM equipes_joueurs WHERE ej_joueur="'.$joueur_id.'"');

	// Suppression du joueur
	$requete_suppression_3 = mysqli_query($connexion_mysql, 'DELETE FROM joueurs WHERE joueur_id="'.$joueur_id.'"');


	// Vérification si le joueur a une facture
	$requete_facture = mysqli_query($connexion_mysql, 'SELECT facture_id FROM factures WHERE joueur_id="'.$joueur_id.'"');
	$nb_facture = mysqli_num_rows($requete_facture);
	if($nb_facture==1){
		$resultat_facture = mysqli_fetch_array($requete_facture);
		$facture_id = $resultat_facture[0];

		// Suppresion de la facture
		$requete_suppression_4 = mysqli_query($connexion_mysql, 'DELETE FROM factures WHERE joueur_id="'.$joueur_id.'"');

		// Suppresion des libellés de la facture
		$requete_suppression_5 = mysqli_query($connexion_mysql, 'DELETE FROM factures_libelles WHERE facture_id="'.$facture_id.'"');

	}

	// Suppression du planning de l'équipe
	$requete_suppression_6 = mysqli_query($connexion_mysql, 'DELETE FROM planning WHERE equipe_id="'.$equipe_id.'"');

	// Suppression des scores de l'équipe
	$requete_suppression_7 = mysqli_query($connexion_mysql, 'DELETE FROM scores WHERE equipe_id="'.$equipe_id.'"');

	// Suppression de l'équipe
	$requete_suppression_1 = mysqli_query($connexion_mysql, 'DELETE FROM equipes WHERE equipe_id="'.$equipe_id.'"');

}



// Défragmentation des tables
$requete_defragmentation_A1 = mysqli_query($connexion_mysql, 'ALTER TABLE joueurs');
$requete_defragmentation_A2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE joueurs');

$requete_defragmentation_B1 = mysqli_query($connexion_mysql, 'ALTER TABLE equipes_joueurs');
$requete_defragmentation_B2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE equipes_joueurs');

$requete_defragmentation_C1 = mysqli_query($connexion_mysql, 'ALTER TABLE equipes');
$requete_defragmentation_C2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE equipes');

$requete_defragmentation_D1 = mysqli_query($connexion_mysql, 'ALTER TABLE factures');
$requete_defragmentation_D2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE factures');

$requete_defragmentation_E1 = mysqli_query($connexion_mysql, 'ALTER TABLE factures_libelles');
$requete_defragmentation_E2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE factures_libelles');

header('Location: ./');
?>
